<div class="post-meta">
  <span><?php	the_date(); ?></span>
  
  <span><?php 
    esc_html_e('By ', 'zeros');
    the_author_link(); 
    ?>
  </span>
</div>

  <div class="post-content">
    <?php 
      $featured_img  = get_theme_mod( 'single_post_featured_img' );

      if( 1 == $featured_img ) {
        if ( has_post_thumbnail() ) {
          the_post_thumbnail();
        } 
      }
    ?>

    <?php the_content(); ?>

     <?php 
    $defaults = array(
      'before'           => '<div class="pagination"><p>' . __( 'Pages:', 'zeros' ),
      'after'            => '</p></div>',
      'link_before'      => '',
      'link_after'       => '',
      'next_or_number'   => 'number',
      'separator'        => ' ',
      'nextpagelink'     => __( 'Next page', 'zeros'),
      'previouspagelink' => __( 'Previous page', 'zeros' ),
      'pagelink'         => '%',
      'echo'             => 1
    );

    wp_link_pages( $defaults );
    ?>

    <section class="post-content__taxonomies">
      <?php

        $post_categories = get_the_category();
        $post_tags       = get_the_tags();

        if ( ! empty( $post_categories ) ) { ?>
        <p class="post-categories"><span class="dashicons dashicons-category"></span>
          <?php  
            esc_html_e( 'Categories' , 'zeros' );
            echo the_category(' | '); 
          ?>  
        </p>
        <?php }

        if ( ! empty( $post_tags  ) ) { ?>
        <p class="post-tags"><span class="dashicons dashicons-tag"></span>
          <?php 
            esc_html_e( 'Tags' , 'zeros' );
            echo the_tags(''); 
          ?>  
        </p>

      <?php } ?>
    </section>
   
  </div>

  <?php if ( comments_open() || get_comments_number() ) :
    comments_template();
  endif;?>

  <?php
  // Posts navigation.
  $defaults = array(
          'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Next', 'zeros' ) . ': </span> ' .
              '<span class="screen-reader-text">' . __( 'Next post:', 'zeros' ) . '</span> ' .
              '<span class="post-title">%title &#187;</span>',
          'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( '&#171; Previous', 'zeros' ) . ' :</span> ' .
              '<span class="screen-reader-text">' . __( 'Previous post:', 'zeros' ) . '</span> ' .
              '<span class="post-title">%title</span>',
  );
  the_post_navigation(  $defaults );
  ?>
